# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g. crates.io) dependencies
#
# If you believe there's an error in this file please file an
# issue against the rust-lang/cargo repository. If you're
# editing this file be aware that the upstream Cargo.toml
# will likely look very different (and much more reasonable)

[package]
name = "pcg_rand"
version = "0.10.0"
authors = ["Jeb Brooks <robojeb@robojeb.xyz>"]
description = "An implementation of the PCG family of random number generators in pure Rust"
homepage = "https://github.com/robojeb/pcg_rand"
documentation = "https://docs.rs/pcg_rand/"
readme = "README.md"
keywords = ["rand", "pcg"]
license = "Apache-2.0"
repository = "https://github.com/robojeb/pcg_rand"

[lib]
name = "pcg_rand"
path = "src/lib.rs"
[dependencies.byteorder]
version = "1.2.4"

[dependencies.num-traits]
version = "0.2.5"

[dependencies.rand]
version = "0.6"

[dependencies.rand_core]
version = "0.3"

[dependencies.serde]
version = "1"
optional = true

[dependencies.serde_derive]
version = "1"
optional = true

[dependencies.serde_json]
version = "1"
optional = true

[features]
default = ["u128"]
serde1 = ["serde", "serde_derive", "serde_json"]
u128 = ["rand/i128_support", "num-traits/i128"]
[badges.maintenance]
status = "passively-maintained"
